• There is NO official Otland's Discord server and NO official Otland's server list. The Otland's Staff does not manage any Discord server or server list. Moderators or administrator of any Discord server or server lists have NO connection to the Otland's Staff. Do not get scammed!
  • If you're using Gesior 2012 or MyAAC, please review this thread for information about a serious security vulnerability and a fix.

Best engine for 8.6?

rafaeru

Member
Joined
Mar 6, 2013
Messages
112
Solutions
9
Reaction score
20
Location
Poland
GitHub
rafaeru97
I am considering selecting an engine for my custom ots project on protocol 8.6. What would you choose and why? I have one project based on 0.3.6 and it works fine but I had to fix a lot of bugs. I would like to choose an engine that is the fastest and has as few bugs as possible.


At the bottom there is a list that I could find:

r3777 - has been around for a long time and I think many ots on protocol 8.6 have been using it for years.

otxserver2 - I have never used it before, it seems cool, in my opinion it is like 0.3.6 / 0.4.0 with some extra features. I have been using it for a week and it seems to me that it lags slightly when walking / pushing items.

TFS 1.5 nekiro downgrade 8.6 - the biggest advantage is that it is based on TFS 1.X and has all its functionalities. It is no longer being developed. Additionally, data is not compatible between 0.4 / otx2.

Can you somehow relate to this? Maybe you have some other engines worth check out?
 

ralke

(҂ ͠❛ ෴ ͡❛)ᕤ
Joined
Dec 17, 2011
Messages
1,213
Solutions
27
Reaction score
682
Location
Santiago - Chile
GitHub
ralke23
Twitch
ralke23
TFS 1.5 nekiro downgrade 8.6 - the biggest advantage is that it is based on TFS 1.X and has all its functionalities. It is no longer being developed. Additionally, data is not compatible between 0.4 / otx2.

Can you somehow relate to this? Maybe you have some other engines worth check out?

I totally recommend 1.5. For what I can say, TFS 1.5 has backward compatibility. I mean, everything is code, and as far I know 1.5 sources handle old functions (a.k.a doSomething, doPlayerSendText, etc.). The thing is that libs and others might need a lot of work, for manual fix just run TFS on cmd and check where the errors start appearing if you wish to migrate. Another thing you need to have present is that mods, among other folders, are no longer supported.

Regards!
 

Peonso

Godly Member
Joined
Jan 14, 2008
Messages
1,713
Solutions
30
Reaction score
1,454
You should check with people with 8.6 servers online currently. People without experience with said options tend to be vocal towards downgrades of newer engines.

I have no experience with 8.6, but when people asks about 7.x they also recommend Nekiro downgrade. No one hosting 7.x servers uses Nekiro downgrade. Mindblowing.
 

Tofame

Active Member
Joined
Aug 17, 2021
Messages
53
Solutions
1
Reaction score
36
Location
Poland
Pointless hate on older versions.
Yeah, tfs 1.x is a lot easier to write scripts in, create ots etc. But it's not like those downgrades are bug-free, so the choice is not easy.

You'd need to compare those version, what you like more in them and decide. If I were you I'd consider choosing beetween 2nd and 3rd option.
 
Last edited:

potinho

Intermediate OT User
Joined
Oct 11, 2009
Messages
1,237
Solutions
17
Reaction score
104
Location
Brazil
I've been using OTX 2 since 2019 and if I knew what I know today, I wouldn't. Support is harder, coding is older, it has a lot of bugs too. I just don't change it because I've improved a lot, added outfits and addons (protocol 7.72), but even with a VPS with Ryzen 9, with 15 players I have 10% CPU usage, without much customized. Go newer TFS for sure.
 

frostedflakes

Member
Joined
Sep 29, 2022
Messages
25
Reaction score
13
Location
x23
You should check with people with 8.6 servers online currently. People without experience with said options tend to be vocal towards downgrades of newer engines.

I have no experience with 8.6, but when people asks about 7.x they also recommend Nekiro downgrade. No one hosting 7.x servers uses Nekiro downgrade. Mindblowing.
It's ridiculous noobs in every thread be like tAkE tHe DoWNgrAdeD TfS and yet noone is actually hosting servers on those

Well guess what I tried these and you basically have a 10.98 ots that you can connect with a 8.6 client with, thats it, you actually have to make it behave correctly, gl hf
 

Nottinghster

Tibia World RPG Developer
Joined
Oct 24, 2007
Messages
1,550
Solutions
6
Reaction score
407
Location
Brazil - Rio de Janeiro
GitHub
Nottinghster

neravia

Banned User
Joined
May 25, 2022
Messages
75
Reaction score
13
The original one

Or if you prefer, the original one with some fixes and Cast System ;)
Last changes on sources 8 - 10 years ago.
OTX 2 last changes (2 month AGO) .

I prefer for you - downgrade Nekiro 1.5 [8.60] or OTX2 (support)
 
Top